#server
server:
  port: 8080
  shutdown: graceful

#spring
spring:
  lifecycle:
    timeout-per-shutdown-phase: 20s
  main:
    allow-circular-references: true
  profiles:
    #    active: local
    scheduler: Y
  datasource:
    driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
    jdbc-url: jdbc:log4jdbc:sqlserver://1.248.227.176:1433;databaseName=NEWPVCAD;encrypt=true;trustServerCertificate=true
    username: pvDBuser
    password: ENC(W7owprYnvf7vqwO6Piw4dHfVBCSxE4Ck)
    maximum-pool-size: 4
    pool-name: Master-HikariPool
  #    master:
  #      driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
  #      jdbc-url: jdbc:log4jdbc:sqlserver://1.248.227.176:1433;databaseName=NEWPVCAD;encrypt=true;trustServerCertificate=true
  #      username: pvDBuser
  #      password: ENC(W7owprYnvf7vqwO6Piw4dHfVBCSxE4Ck)
  #      maximum-pool-size: 4
  #      pool-name: Master-HikariPool
  #      #      connection-test-query: SELECT 1
  #    read:
  #      driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
  #      jdbc-url: jdbc:log4jdbc:sqlserver://1.248.227.176:1433;databaseName=NEWPVCAD;encrypt=true;trustServerCertificate=true
  #      username: pvDBuser
  #      password: ENC(W7owprYnvf7vqwO6Piw4dHfVBCSxE4Ck)
  #      maximum-pool-size: 4
  #      pool-name: Read-HikariPool
  #      connection-test-query: SELECT 2
  jackson:
    time-zone: Asia/Seoul
  batch:
    jdbc:
      initialize-schema: never
    job:
      names: ${job.name:NONE}
      enabled: false

management:
  endpoints:
    enabled-by-default: false
    jmx:
      exposure:
        exclude:
          - "*"
    web:
      exposure:
        include: "*"
        exclude: "env,beans"
  endpoint:
    info:
      enabled: true
    health:
      enabled: true

file:
  root.path: /home/development/public/files
  ini.root.path: /home/development/public/files/NewEstimate
  ini.base.filename: 料金シミュレーション.ini
  ini.drawing.img.path: https://files.hanasys.jp/Drawing

# log
logging:
  config: classpath:logback/logback-${spring.profiles.active:local}.xml

springdoc:
  swagger-ui:
    operations-sorter: alpha

